Description

Currently, two filter operators "contains" and "contains any" support multiple terms. When multiple terms are given, those filters

perform AND search or OR search.

I propose adding support for multiple terms to "starts with" and "Ends with" operators as well. If multiple terms are given, those

operators will perform OR search.

Here is one of the uses of this feature. Suppose that you want to find issues with PowerPoint or PDF file attached. The result you

want is the list of issues that have files whose filenames end with ".pptx" or ".pdf". But it is impossible to make a query to get such a

result because the current "ends with" filter only supports a single term.

If the operator supports multiple keywords, the following filter can be applied to get the result you want.
The attached patch adds support for OR search with multiple terms for "starts with" and "ends with" operators. After this patch

applied, all operators except "any" and "none" for string/text filters will support multiple terms.

Associated revisions

Revision 22202 - 2023-04-18 01:25 - Go MAEDA

OR search with multiple terms for "starts with" and "ends with" filter operators (#38456).

Patch by Go MAEDA.

History

#1 - 2023-04-16 16:51 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#2 - 2023-04-18 01:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22202.
